aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorPeter Maydell <peter.maydell@linaro.org>2020-02-14 17:57:15 +0000
committerPeter Maydell <peter.maydell@linaro.org>2020-02-14 17:57:15 +0000
commitb29c3e23f64938784c42ef9fca896829e3c19120 (patch)
tree3291d595c1b03c7588a7d7a0fd33249071d1236a /scripts
parent71cd1bccf3bfc4a77434595c3e987daa4e8ff574 (diff)
parent1a920d2b633e13df8961328b3b3e128989a34570 (diff)
Merge remote-tracking branch 'remotes/juanquintela/tags/pull-migration-pull-request' into staging
Migration pull request # gpg: Signature made Thu 13 Feb 2020 13:04:43 GMT # gpg: using RSA key 1899FF8EDEBF58CCEE034B82F487EF185872D723 # gpg: Good signature from "Juan Quintela <quintela@redhat.com>" [full] # gpg: aka "Juan Quintela <quintela@trasno.org>" [full] # Primary key fingerprint: 1899 FF8E DEBF 58CC EE03 4B82 F487 EF18 5872 D723 * remotes/juanquintela/tags/pull-migration-pull-request: git: Make submodule check only needed modules migration-test: fix some memleaks in migration-test tests/migration: Add some slack to auto converge migration/rdma: rdma_accept_incoming_migration fix error handling migration: Optimization about wait-unplug migration state migration: Maybe VM is paused when migration is cancelled Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/git-submodule.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/scripts/git-submodule.sh b/scripts/git-submodule.sh
index 98ca0f2737..65ed877aef 100755
--- a/scripts/git-submodule.sh
+++ b/scripts/git-submodule.sh
@@ -59,10 +59,14 @@ status)
fi
test -f "$substat" || exit 1
- CURSTATUS=$($GIT submodule status $modules)
- OLDSTATUS=$(cat $substat)
- test "$CURSTATUS" = "$OLDSTATUS"
- exit $?
+ for module in $modules; do
+ CURSTATUS=$($GIT submodule status $module)
+ OLDSTATUS=$(cat $substat | grep $module)
+ if test "$CURSTATUS" != "$OLDSTATUS"; then
+ exit 1
+ fi
+ done
+ exit 0
;;
update)
if test -z "$maybe_modules"